function [poinwert,isterminal,richt] = poinevent(t,y,epsilon)

% Eventfunktion zur Bahn parallel zum Magnetfeld

% W. Schweizer
% Simulation physikalischer Systeme - Computational Physics mit MATLAB -
% Vers. 1.0 2016

tmax=3*pi/sqrt(-2*epsilon);
poinwert=1;
if t>tmax
    poinwert=y(1);
end
isterminal=1;
richt=1;